#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# AtlasLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/AtlasLoader.js:5`
Module: PIXI

The atlas file loader is used to load in Texture Atlas data and parse it. When loaded this class will dispatch a 'loaded' event. If loading fails this class will dispatch an 'error' event.

To generate the data you can use http://www.codeandweb.com/texturepacker and publish in the 'JSON' format.

It is highly recommended to use texture atlases (also know as 'sprite sheets') as it allowed sprites to be batched and drawn together for highly increased rendering speed. Once the data has been loaded the frames are stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFrameId()

## Constructor

### `AtlasLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/AtlasLoader.js:5`

#### Parameters:

- `url` String

  The url of the JSON file

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods

## Item Index

### Methods

- emit
- listeners
- load
- mixin
- off
- on
- onAtlasLoaded
- once
- onError
- onLoaded
- removeAllListeners

## Methods

### `emit`

(

- `eventName`

)
Boolean

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:54`

Emit an event to all registered event listeners.

#### Parameters:

- `eventName` String

  The name of the event.

#### Returns:

Boolean:

Indication if we've emitted an event.

### `listeners`

(

- `eventName`

)
Array

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:41`

Return a list of assigned event listeners.

#### Parameters:

- `eventName` String

  The events that should be listed.

#### Returns:

Array:

An array of listener functions

### `load`

()

Defined in `src/pixi/loaders/AtlasLoader.js:32`

Starts loading the JSON file

### `mixin`

(

- `object`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:34`

Mixes in the properties of the EventTarget prototype onto another object

#### Parameters:

- `object` Object

  The obj to mix into

### `off`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:143`

Remove event listeners.

#### Parameters:

- `eventName` String

  The event we want to remove.

- `callback` Function

  The listener that we need to find.

### `on`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:107`

Register a new EventListener for the given event.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Functon

  fn Callback function.

### `onAtlasLoaded`

() private

Defined in `src/pixi/loaders/AtlasLoader.js:46`

Invoked when the Atlas has fully loaded. Parses the JSON and builds the texture frames.

### `once`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:124`

Add an EventListener that's only called once.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Function

  Callback function.

### `onError`

() private

Defined in `src/pixi/loaders/AtlasLoader.js:182`

Invoked when an error occurs.

### `onLoaded`

() private

Defined in `src/pixi/loaders/AtlasLoader.js:166`

Invoked when json file has loaded.

### `removeAllListeners`

(

- `eventName`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:173`

Remove all listeners or only the listeners for the specified event.

#### Parameters:

- `eventName` String

  The event you want to remove all listeners for.